Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.html
Class DefinitionItem

    java.lang.Object
      |
      +--weblogic.html.HtmlElement
            |
            +--weblogic.html.ElementWithAttributes
                  |
                  +--weblogic.html.SinglePartElement
                        |
                        +--weblogic.html.DefinitionItem

public class DefinitionItem
extends SinglePartElement

A DefinitionItem object is made up of a term and a definition. DefinitionItems are added to a DefinitionList with the addElement() method in that class.

Version:
  2.1
Author:
  Copyright (c) 1995-96, WebLogic, Inc.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `DefinitionList`

Fields inherited from class weblogic.html.HtmlElement
`codeset, useObsolete`

Constructor Summary
`DefinitionItem()` Deprecated. Constructs a DefinitionItem.
`DefinitionItem(HtmlElement term)` Deprecated. Constructs a DefinitionItem with the specified HtmlElement as a term.
`DefinitionItem(HtmlElement term, HtmlElement def)` Deprecated. Constructs a DefinitionItem with the specified HtmlElements as a term and a definition.

Method Summary
`protected java.lang.String` | `getHtmlCode()` Deprecated.
`void` | `output(java.io.OutputStream out)` Deprecated.
`void` | `output(java.io.OutputStream out, java.lang.String codeset)` Deprecated. Outputs to the specified output stream.
`DefinitionItem` | `setDef(HtmlElement elem)` Deprecated. Sets the definition of a DefinitionItem.
`DefinitionItem` | `setTerm(HtmlElement elem)` Deprecated. Sets the term of a DefinitionItem.

Methods inherited from class weblogic.html.SinglePartElement
`getElement, printBody, printBody, printBody, setElement, setElement, widthAsLiteral`

Methods inherited from class weblogic.html.ElementWithAttributes
`addAttribute, addAttribute, escapeQuotes, getBooleanAttribute, getElementAttribute, getLocalVar, getQuotedAttribute, output, printBody, printCR, printEndingTag, setBooleanAttribute, setBooleanAttribute, setClass, setDirection, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setId, setLang, setLocalVar, setQuotedAttribute, setStyle`

Methods inherited from class weblogic.html.HtmlElement
`asAnchorElement, asBigElement, asBlockquoteElement, asBoldElement, asCenteredElement, asCiteElement, asCodeElement, asCommentElement, asDefineTermElement, asEmphasisElement, asFontElement, asFontElement, asFontElement, asHtmlContainer, asItalicElement, asKeyboardElement, asLiteralElement, asParagraphElement, asSampleElement, asSmallElement, asStrikeElement, asStrongElement, asSubscriptElement, asSuperscriptElement, asTeletypeElement, asUnderlineElement, asVariableElement, getVersion, setAnchorMode, setCodeset, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefinitionItem

    public DefinitionItem()

  Deprecated.
  Constructs a DefinitionItem.

### DefinitionItem

    public DefinitionItem(HtmlElement term)

  Deprecated.
  Constructs a DefinitionItem with the specified HtmlElement as a term.

  Parameters:
    `term` - Term to be defined

### DefinitionItem

    public DefinitionItem(HtmlElement term,
                          HtmlElement def)

  Deprecated.
  Constructs a DefinitionItem with the specified HtmlElements as a term and a definition.

  Parameters:
    `term` - Term to be defined
    `def` - Definition

Method Detail

### setTerm

    public DefinitionItem setTerm(HtmlElement elem)

  Deprecated.
  Sets the term of a DefinitionItem.

  Parameters:
    `elem` - Term to be defined
  Returns:
    DefinitionItem object

### setDef

    public DefinitionItem setDef(HtmlElement elem)

  Deprecated.
  Sets the definition of a DefinitionItem.

  Parameters:
    `elem` - Definition
  Returns:
    DefinitionItem object

### getHtmlCode

    protected java.lang.String getHtmlCode()

  Deprecated.

  Overrides:
    getHtmlCode in class ElementWithAttributes

### output

    public void output(java.io.OutputStream out)
                throws java.io.IOException

  Deprecated.

  Overrides:
    output in class ElementWithAttributes

### output

    public void output(java.io.OutputStream out,
                       java.lang.String codeset)
                throws java.io.IOException

  Deprecated.
  Outputs to the specified output stream.

  Throws:
    java.io.IOException - if there is an IO error
  Overrides:
    output in class ElementWithAttributes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD